circlegraph 0.0.6 icon indicating copy to clipboard operation
circlegraph: ^0.0.6 copied to clipboard

Create graphs with a root node and several child nodes. Multiple layers of nodes in a circle and multiple circles in a larger graph.

8
likes
100/ 130
pub points
6%
popularity

We analyzed this package 13 hours ago, and awarded it 100 pub points (of a possible 130):

icon indicating section status
Follow Dart file conventions
20 / 20icon to trigger folding of the section

10/10 points: Provide a valid pubspec.yaml

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

icon indicating section status
Provide documentation
20 / 20icon to trigger folding of the section

10/10 points: Package has an example

10/10 points: 20% or more of the public API has dartdoc comments

  • 85 out of 127 API elements (66.9 %) have documentation comments.
icon indicating section status
Platform support
20 / 20icon to trigger folding of the section

20/20 points: Supports 6 of 6 possible platforms (iOS, Android, Web, Windows, MacOS, Linux)

  • ✓ Android
  • ✓ iOS
  • ✓ Windows
  • ✓ Linux
  • ✓ MacOS
  • ✓ Web
icon indicating section status
Pass static analysis
20 / 30icon to trigger folding of the section

20/30 points: code has no errors, warnings, lints, or formatting issues

Found 9 issues. Showing the first 2:

INFO: The import of 'package:circlegraph/circle/tree_node_data.dart' is unnecessary because all of the used elements are also provided by the import of 'package:circlegraph/circlegraph.dart'.

lib/circle/tree_node_view.dart:3:8

  ╷
3 │ import 'package:circlegraph/circle/tree_node_data.dart';
  │        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/circle/tree_node_view.dart

INFO: The import of 'package:circlegraph/circle/tree_node_data.dart' is unnecessary because all of the used elements are also provided by the import of 'package:circlegraph/circlegraph.dart'.

lib/circle/tree_painter.dart:3:8

  ╷
3 │ import 'package:circlegraph/circle/tree_node_data.dart';
  │        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/circle/tree_painter.dart

icon indicating section status
Support up-to-date dependencies
20 / 20icon to trigger folding of the section

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
flutterflutter0.0.00.0.0
vector_math^2.0.82.1.22.1.3
Transitive dependencies
PackageConstraintCompatibleLatest
characters-1.2.01.2.1
collection-1.16.01.16.0
material_color_utilities-0.1.40.2.0
meta-1.7.01.8.0
sky_engine-0.0.990.0.99

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

icon indicating section status
Support sound null safety
0 / 20icon to trigger folding of the section

0/20 points: Package does not opt in to null safety.

Package language version (indicated by the sdk constraint `>=2.7.0 <3.0.0`) is less than 2.12.

Consider migrating.

Analysed with Pana 0.21.15, Flutter 3.0.5, Dart 2.17.6.

8
likes
100
pub points
6%
popularity

Publisher

verified publisher iconmanuelh.at

Create graphs with a root node and several child nodes. Multiple layers of nodes in a circle and multiple circles in a larger graph.

Homepage

Documentation

API reference

License

Icon for licenses.BSD-2-Clause (LICENSE)

Dependencies

flutter, vector_math

More

Packages that depend on circlegraph